/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.key.polytomous;

import org.eclipse.jface.viewers.IBaseLabelProvider;
import org.eclipse.jface.viewers.IContentProvider;

import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.editor.key.AbstractGraphKeyEditor;
import eu.etaxonomy.taxeditor.editor.key.KeyEditor;

/**
 * @author n.hoffmann
 * 
 */
public class PolytomousKeyGraphEditor extends
		AbstractGraphKeyEditor<PolytomousKey> implements
		IPolytomousKeyEditorPage {

	public static final String ID = "eu.etaxonomy.taxeditor.editor.key.polytomous.graph";
	private final KeyEditor editor;

	/**
	 * @param keyEditor
	 */
	public PolytomousKeyGraphEditor(KeyEditor editor) {
		this.editor = editor;
	}
	
	@Override
	public ConversationHolder getConversationHolder() {
		return ((PolytomousKeyEditorInput) getEditorInput())
				.getConversationHolder();
	}

	@Override
	public PolytomousKey getKey() {
		return ((PolytomousKeyEditorInput) getEditorInput()).getKey();
	}

	@Override
	protected IBaseLabelProvider getLabelProvider() {
		return new PolytomousKeyLabelProvider();
	}

	@Override
	protected IContentProvider getContentProvider() {
		return new PolytomousKeyContentProvider();
	}
}
