// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.name.container;

import org.eclipse.swt.graphics.Image;

import eu.etaxonomy.taxeditor.model.ImageResources;

/**
 * @author n.hoffmann
 * @created Jan 20, 2011
 * @version 1.0
 */
public interface IContainerConstants {
	/**
	 * 
	 */
	public static final int SELECTED_FOCUS = 1;
	/** Constant <code>SELECTED_NO_FOCUS=2</code> */
	public static final int SELECTED_NO_FOCUS = 2;
	/** Constant <code>NOT_SELECTED=3</code> */
	public static final int NOT_SELECTED = 3;
	
	/**
	 * ************ COMPOSITE TYPES ************
	 */
	/** Constant <code>ACCEPTED_TAXON="accepted_name_composite"</code> */
	public static final String ACCEPTED_TAXON = "accepted_name_composite";
	/** Constant <code>HOMOTYPIC_SYNONYM="homotypic_name_composite"</code> */
	public static final String HOMOTYPIC_SYNONYM = "homotypic_name_composite";
	/** Constant <code>HETEROTYPIC_SYNONYM="heterotypic_name_composite"</code> */
	public static final String HETEROTYPIC_SYNONYM = "heterotypic_name_composite";
	/** Constant <code>MISAPPLIED_NAME="misappliedname_name_composite"</code> */
	public static final String MISAPPLIED_NAME = "misappliedname_name_composite";
	/** Constant <code>CONCEPTRELATION="concept_name_composite"</code> */
	public static final String CONCEPTRELATION = "concept_name_composite";

	/**
	 * ************ INDENTATIONS ************
	 */
	public static final int ACCEPTED_INDENT = 20;
	/** Constant <code>SYNONYM_INDENT=40</code> */
	public static final int SYNONYM_INDENT = 40;
	/** Constant <code>HOMOTYPIC_SYNONYM_IN_HETEROTYPIC_GROUP_INDENT = 60</code> */
	public static final int HOMOTYPIC_SYNONYM_IN_HETEROTYPIC_GROUP_INDENT = 60;
	/** Constant <code>MISAPPLIEDNAME_INDENT=40</code> */
	public static final int MISAPPLIEDNAME_INDENT = 40;
	/** Constant <code>CONCEPT_INDENT=40</code> */
	public static final int CONCEPT_INDENT = 40;

	
	/**
	 * ************ ICONS ************
	 */
	public static final Image ACCEPTED_ICON = ImageResources.getImage(ImageResources.BLACK_SQUARE_ICON);
	/** Constant <code>HOMOTYPIC_SYNONYM_ICON</code> */
	public static final Image HOMOTYPIC_SYNONYM_ICON = ImageResources.getImage(ImageResources.HOMOTYPIC_SYN_ICON);
	/** Constant <code>HOMOTYPIC_SYNONYM_ORIGINAL_COMBINATION_ICON</code> */
	public static final Image HOMOTYPIC_SYNONYM_ORIGINAL_COMBINATION_ICON = ImageResources.getImage(
			ImageResources.HOMOTYPIC_SYN_ORIGINAL_ICON);
	/** Constant <code>HETEROTYPIC_SYNONYM_ICON</code> */
	public static final Image HETEROTYPIC_SYNONYM_ICON = ImageResources.getImage(ImageResources.HETEROTYPIC_SYN_ICON);
	public static final Image HOMOTYPIC_SYNONYM_IN_HETEROTYPIC_GROUP_ICON = ImageResources.getImage(ImageResources.HOMOTYPIC_SYNONYM_IN_HETEROTYPIC_GROUP_ICON);
	public static final Image INVALID_OR_NUDUM_NAME_ICON = ImageResources.getImage(ImageResources.NOM_INVAL_NUD_SYN_ICON);
	/** Constant <code>HETEROTYPIC_SYNONYM_ORIGINAL_COMBINATION_ICON</code> */
	public static final Image HETEROTYPIC_SYNONYM_ORIGINAL_COMBINATION_ICON = ImageResources.getImage(
			ImageResources.HETEROTYPIC_SYN_ORIGINAL_ICON);
	/** Constant <code>MISAPPLIEDNAME_ICON</code> */
	public static final Image MISAPPLIEDNAME_ICON = ImageResources.getImage(ImageResources.MISAPPLIED_NAME_ICON);
	/** Constant <code>CONCEPT_ICON</code> */
	public static final Image CONCEPT_ICON = ImageResources.getImage(ImageResources.CONCEPT_ICON);
	/** Constant <code>AUTONYM_ICON</code> */
	public static final Image AUTONYM_ICON = ImageResources
			.getImage(ImageResources.AUTONYM_ICON);
	/** Constant <code>MOVE</code> */
	public static final Image MOVE = ImageResources.getImage(ImageResources.MOVE_ICON);

	/**
	 * ************ TRANSFORMATIONS ************
	 */
	public static final String ADD_GROUP_BASIONYM = "add_group_basionym";
	/** Constant <code>REMOVE_GROUP_BASIONYM="remove_group_basionym"</code> */
	public static final String REMOVE_GROUP_BASIONYM = "remove_group_basionym";

	public static final String EMPTY_NAME_PROMPT = "Click to add name";
}
