/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.view.descriptive;

import org.eclipse.jface.viewers.ColumnLabelProvider;
import org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider;
import org.eclipse.jface.viewers.StyledString;

import eu.etaxonomy.taxeditor.model.DescriptionHelper;

/**
 * <p>DescriptiveLabelProvider class.</p>
 *
 * @author p.ciardelli
 * @version $Id: $
 */
public class DescriptiveLabelProvider extends ColumnLabelProvider implements IStyledLabelProvider  {
	
	/** {@inheritDoc} */
	public String getText(Object element) {
		return DescriptionHelper.getLabel(element);
	}		

	/* (non-Javadoc)
	 * @see org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider#getStyledText(java.lang.Object)
	 */
	/** {@inheritDoc} */
	public StyledString getStyledText(Object element) {
		return new StyledString(getText(element), StyledString.QUALIFIER_STYLER);
	}
}
